within InaMo;
package ExperimentalMethods "experimental methods used to measure behavior of full cells or individual currents"
  extends Modelica.Icons.Package;
  extends InaMo.Icons.CurrentClamp annotation(IconMap(extent={{-80, -80},{80, 80}}));
annotation(Documentation(info="<html>
  <p>
    This package contains models that capture experimental methods such as
    voltage and current clamp protocols, which can be used to measure current
    or voltage behavior of full cells or individual components.
  </p>
  <p>
    The methods in this package mainly consist of three base modules:
    CurrentClamp for current clamp experiments, VoltageClamp for voltage
    clamp experiments and TestPulses for determining pulse protocols for
    either type of experiment.
  </p>
</html>"));
end ExperimentalMethods;
